%global momorel 2
%undefine _smp_mflags

Summary: GNOME Build Framework.
Name: gnome-build
Version: 0.1.3
Release: %{momorel}m
License: GPL
Group: Development/Libraries
%NoSource 0 http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.1/%{name}-%{version}.tar.bz2 7a879bfa906036c8546cea88eb6fe793
Patch0: gnome-build-0.1.3-perlGBFMake.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org
BuildRequires: gdl-devel >= 0.6.1
BuildRequires: gnome-vfs-devel >= 2.8.3
BuildRequires: gtk+-devel >= 2.6.7
BuildRequires: libbonoboui-devel >= 2.8.0
BuildRequires: libgnome-devel >= 2.8.0
BuildRequires: libgnomeui-devel >= 2.8.0
BuildRequires: libxml2-devel >= 2.6.16

%description
This is the GNOME Build Framework (GBF).

%package devel
Summary: Libraries and include files for Gnome Build Framework.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel 
Libraries and header files if you want to make use of the GNOME debug framework
in your own programs.

%prep
%setup -q
%patch0 -p1 -b .GBFMake

%build
autoreconf -fi
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%make DESTDIR=%{buildroot} install

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/gnome-build-1.0/backends/libgbf-am.so.*
%{_libdir}/gnome-build-1.0/backends/libgbf-mkfile.so.*
%{_libdir}/libgbf-1.so.*
%{_libdir}/libgbf-widgets-1.so.*
%{_datadir}/pixmaps/*.png
%{_datadir}/locale/*/*/*
%{_datadir}/gnome-build/*


%files devel
%defattr (-, root, root)
%{_includedir}/gnome-build-1.0/gbf
%{_libdir}/gnome-build-1.0/backends/libgbf-am.so
%{_libdir}/gnome-build-1.0/backends/libgbf-am.la
%{_libdir}/gnome-build-1.0/backends/libgbf-mkfile.la
%{_libdir}/gnome-build-1.0/backends/libgbf-mkfile.so
%{_libdir}/gnome-build-1.0/backends/gbf-am.server
%{_libdir}/gnome-build-1.0/backends/gbf-mkfile.server
%{_libdir}/libgbf-1.so
%{_libdir}/libgbf-1.la
%{_libdir}/libgbf-widgets-1.so
%{_libdir}/libgbf-widgets-1.la
%{_libdir}/pkgconfig/gnome-build-1.0.pc


%changelog
* Sat May 27 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.3-2m)
- add libgbf-mkfile.so into gnome-build-devel

* Tue May 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.3-1m)
- update to 0.1.3

* Thu Apr  6 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.2-3m)
- revised packages owner

* Mon Feb 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.2-2m)
- fix conflict directories

* Thu Jun 30 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.2-1m)
- version 0.1.2

* Tue May 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.1-1m)
- initial import to Momonga

* Wed Aug 8 2001 Jens Finke <jens@gnome.org> 
- created spec file
